%VTIG - Ucelov st
%RSC (rsc@email.cz)

clear
clc

fid = 1;
fid = fopen('vtig_ucelova_sit.txt','w'); %vytvoreni *.txt souboru pro vystup

body_cisla = [1 2 3 4 5 6]'; %csla bodu jak jsou za sebou v seznamu

do = 6; %pro kolik bodu poctat (1 az do)

q = [%[m]       [mm]               body pro mez se maj poctat dlky a hly (Vsledky z Gamy/Rocinanty)
  5000     0  %X mX
  1000     0  %Y mY
   100     0  %Z mZ
                    
  5077.15233     1.2
  1000.00000     0.0
   109.11276     0.8
                    
                    
  5113.77321     2.0
  1123.99243     1.2
   109.21013     0.9
                    
                    
  5061.68826     1.9
  1116.97599     0.8
   100.36646     0.9
                    
                    
  5070.27816     1.2
  1052.52112     0.8
   102.24355     0.8
                    
                    
  5013.38599     1.6
  1070.21280     1.3
    91.86821     1.0
   
];


body = []; %bod X Y Z mY mY mZ

for i=1:max(size(q))/3
    body(i,1) = i;%prubezn csla bodu (1 az n)

    body(i,2) = q(3 * i - 2,1);
    body(i,3) = q(3 * i - 1,1);
    body(i,4) = q(3 * i    ,1);
    
    body(i,5) = q(3 * i - 2,2);
    body(i,6) = q(3 * i - 1,2);
    body(i,7) = q(3 * i    ,2);
    
end

body(:,1) = body_cisla;

fprintf(fid,'dlky:\n');
fprintf(fid,'    z    na      sikm    str.ch      vodorovn  str.ch       prevysen  str.ch\n');
fprintf(fid,'                  [m]      [mm]          [m]      [mm]           [m]      [mm]\n');
fprintf(fid,'-------------------------------------------------------------------------------\n');

for i=1:do
    for j=i+1:do
        [d,md,d0,md0,prev,mprev] = m_delka(body(i,2:7),body(j,2:7));
        fprintf(fid,'  %3.f   %3.f    %8.4f    %3.2f       %8.4f    %3.2f        %8.4f    %3.2f\n',body(i,1),body(j,1),d,md,d0,md0,prev,mprev);
    end
end



fprintf(fid,'\n\nzenitky:\n');
fprintf(fid,'    z    na       zenitka     protejs   str.ch\n');
fprintf(fid,'                    [g]         [g]       [cc]\n');
fprintf(fid,'----------------------------------------------------------------------------\n');

for i=1:do
    for j=i:do
        if(i ~= j)
            [zenit,mzenit] = m_zenit(body(i,2:7),body(j,2:7));
            fprintf(fid,'  %3.f   %3.f      %9.5f   %9.5f    %4.1f  \n',body(i,1),body(j,1),zenit,200-zenit,mzenit);
        end
    end
end


fprintf(fid,'\n\nvodorovn hly:\n');
fprintf(fid,'       rameno           hel      doplnek   str.ch\n');
fprintf(fid,'    L  vrchol   P       [g]         [g]      [cc]\n');
fprintf(fid,'----------------------------------------------------------------------------\n');
for i=1:do
    for j=1:do
        if(i ~= j)
            for(k=j+1:do)
                if(k ~= i)
                    [uhel,muhel] = m_uhel(body(j,2:7),body(i,2:7),body(k,2:7));
                    fprintf(fid,'  %3.f - %3.f - %3.f    %9.5f   %9.5f   %4.1f \n',body(j,1),body(i,1),body(k,1),uhel,400-uhel,muhel);
                end
            end
        end
    end
end


fclose(fid);
fprintf('\n\nVsledky jsou ulozeny v souboru "vtig_ucelova_sit.txt" v pracovnm adresri\n\n');
 